Emptying the trash from the unity sidebar should respect nautilus' "Ask before emptying" setting

Bug #730003 reported by pablomme on 2011-03-06
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Undecided
Unassigned
Unity
Fix Released
Wishlist
Marco Biscaro
unity-2d
Wishlist
Andrea Grandi
unity (Ubuntu)
Wishlist
Unassigned
unity-2d (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity

Emptying the trash by right-clicking the trash icon in the unity sidebar and selecting the "Empty ..." option requires users to confirm the action, even if they have unchecked the "Ask before emptying ..." option in nautilus > Edit > Preferences > Behaviour. The option is correctly applied to emptying the trash from nautilus itself.

Unity should respect nautilus' setting.

I've noticed the mismatch in the en_GB dialogues for emptying the trash (a different bug in itself, already known), which suggests that Unity is generating its own dialogue - shouldn't it really let nautilus handle this action?

This is on up-to-date natty, installed from scratch using the daily image from the 1st of March.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.6.0-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,imgsvg,resize,resizeinfo,mousepoll,wall,regex,animation,place,blur,compiztoolbox,text,session,grid,put,imgpng,imgjpeg,gnomecompat,commands,copytex,wobbly,annotate,move,vpswitch,workarounds,expo,ezoom,staticswitcher,fade,scale,scaleaddon,unityshell]
Date: Sun Mar 6 05:21:27 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110301.1)
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2011-03-03 (2 days ago)

Related branches

pablomme (pablomme) wrote :
Alex Launi (alexlauni) wrote :

Given the uncertainty of nautilus' role in the Ubuntu desktop, I'm going to add an ayatana-design task to this, but also mark confirmed and target for Natty on the Unity task, since nautilus is still a larger part of the desktop, we should respect it as such.

Changed in unity:
status: New → Confirmed
importance: Undecided → Wishlist
Changed in unity (Ubuntu):
status: New → Confirmed
importance: Undecided → Wishlist
Changed in unity:
assignee: nobody → Marco Biscaro (marcobiscaro2112)
status: Confirmed → In Progress
Changed in unity (Ubuntu):
status: Confirmed → In Progress
Neil J. Patel (njpatel) on 2011-03-10
Changed in unity:
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: In Progress → Fix Committed
Changed in ayatana-design:
status: New → Invalid
Changed in unity:
milestone: none → 3.6.4
Didier Roche (didrocks) on 2011-03-10
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.4-0ubuntu1

---------------
unity (3.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Unity: Alt-F2 not working (LP: #580295)
    - When running with dual monitors, Unity will use the height of the larger
      one for calculating when to fold (LP: #696388)
    - Unity app launcher is filled up with doublettes (LP: #690537)
    - Unity interface not resized properly when external monitor is used
      (LP: #691772)
    - Dash needs keyboard navigation (LP: #727714)
    - It is possible to focus Unity itself and Close it from the global menu
      (LP: #728790)
    - Systray icons showing on top of everything (LP: #728719)
    - Pressing ENTER in the dash during a search should open the first
      displayed item (LP: #729699)
    - compiz crashed with SIGSEGV in LauncherIcon::OpenQuicklist()
      (LP: #731096)
    - inactive menus are not shown (LP: #732162)
    - Icon-only menu titles don't have accessible names (LP: #691677)
    - unity not working on rotated displays (LP: #694596)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #709649)
    - Dragging .desktop file to launcher's trash creates space for new
      launcher icon (LP: #717250)
    - Unable to scroll in Applications/Files and Folders Place using mouse
      wheel (LP: #721447)
    - The applications place is empty (LP: #724259)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #719156)
    - Quicklists are difficult to dismiss (LP: #726890)
    - Apps in Available group not rendered in Dash (LP: #729710)
    - Clicking on Shortcuts header doesn't do anything. (LP: #730774)
    - Zeitgeist FTS Extension doesn't filter on subject URIs (LP: #731208)
    - dual monitor,,,upper panel turns white / nvidia (LP: #685179)
    - Dash file Lens – Rename “Favourite Folders” category header to “Folders”
      (LP: #723866)
    - looking for 'places' icons in the wrong location (LP: #727672)
    - Empty trash quicklist item is missing an ellipsis (LP: #731472)
    - Wastebasket quicklist is missing “Empty Wastebasket” option when the
      wastebasket is empty (LP: #723880)
    - Emptying the trash from the unity sidebar should respect nautilus' "Ask
      before emptying" setting (LP: #730003)
    - start-here icon updated at wrong time (LP: #726267)
    - Unity overlay unhide issue (LP: #726926)
    - Orca doesn't report that the Launcher receives the focus (LP: #727133)
    - Accessibility object parent-child hierarchy on unity is broken
      (LP: #727908)
    - Regression: Orca doesn't speech out the selection changes on the
      Launcher (LP: #729165)
    - quicklist must respect enabled state (LP: #731533)
    - unity-panel-service crashed with SIGSEGV in
      dbusmenu_menuitem_send_about_to_show() (LP: #725631)
  * debian/control:
    - build-dep on latest nux
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:52:53 +0100

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity-2d:
importance: Undecided → Wishlist
status: New → Confirmed
tags: added: delta-with-3d
Didier Roche (didrocks) on 2011-05-31
Changed in unity-2d (Ubuntu):
status: New → Confirmed
Changed in unity-2d:
assignee: nobody → Andrea Grandi (andreagrandi)
assignee: Andrea Grandi (andreagrandi) → nobody
assignee: nobody → Andrea Grandi (andreagrandi)
Andrea Grandi (andreagrandi) wrote :

On Unity-2D the confirmation is never asked, so it's even worse. I confirm this bug on Unity2D. Fixing it as soon as possible.

pablomme (pablomme) wrote :

I should mention that the right-click menu for the trash in unity displays the ellipsis "..." whether a confirmation is required or not, which is a minor bug. The ellipsis was introduced when a different bug report asked for compliance with Gnome's HIGs. The current problem is a tiny HIG violation in a tiny corner case; it feels like it doesn't deserve a whole new bug report.. but I should file it, shouldn't I?

Andrea Grandi (andreagrandi) wrote :

@pablomme: for me (I'm taking care of the Unity-2D fix) is enough if you explain it here. Where and when do I have to display these "..." ?

pablomme (pablomme) wrote :

When you right-click on the trash "launcher", it should display the option "Empty the Rubbish Bin" followed by "..." if the emptying requires confirmation, or followed by nothing if it doesn't.

tags: added: bitesize
Changed in unity-2d:
status: Confirmed → Fix Committed
Changed in unity-2d:
status: Fix Committed → In Progress
Changed in unity-2d (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed
Changed in unity-2d:
milestone: none → 4.6
status: In Progress → Fix Committed
Changed in unity-2d (Ubuntu):
status: Confirmed → Fix Committed
Didier Roche (didrocks) on 2011-09-08
Changed in unity-2d:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 4.6.1-0ubuntu1

---------------
unity-2d (4.6.1-0ubuntu1) oneiric; urgency=low

  * Fix a segfault due to new unity service backend change.

unity-2d (4.6.0-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release
    - [dash] Apps lens shows no result by default (LP: #834571)
    - Metacity needs command line options to activate capture before unmap and
      compositing without effects (LP: #791205)
    - Bold fonts everywhere in the UI (dash, launcher, workspace switcher) but
      in the panel (LP: #808849)
    - the migration script needs to be run in unity-2d as well (LP: #819733)
    - [dash] "View photos" in the dash launches default image viewer instead
      of shotwell (LP: #822605)
    - Launcher tooltips sometimes leave holes in panel and windows
      (LP: #837277)
    - [dash] Search with non ascii characters fails (LP: #840010)
    - add a configuration key (dconf) to enable the opengl backend
      (LP: #809202)
    - [launcher] when pressing super key shortcuts numbering start at 2
      instead of 1 (LP: #830036)
    - [UIFe] Unity 2D should be using the same BFB icon as Unity (LP: #838829)
    - [launcher] trash icon needs to be the same as in Unity 3D (LP: #840025)
    - Pressing alt on maximized window does show menu but not window controls
      (LP: #836274)
    - [dash] DropShadow on "See X more results" can cause visual errors on
      scroll (LP: #843820)
    - Dash - In the App lens filters, users should only be able filter by
      'star' rating in one star increments (LP: #839759)
    - Emptying the trash from the unity sidebar should respect nautilus' "Ask
      before emptying" setting (LP: #730003)
    - UIFe: Panel - Indicators should be orderable regardless of their parent
      IndicatorObject (LP: #823061)
  * debian/control:
    - rebuild against current nux and unity (API change)
 -- Didier Roche <email address hidden> Fri, 09 Sep 2011 13:50:22 +0200

Changed in unity-2d (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity-2d:
status: Fix Released → Fix Committed
Gerry Boland (gerboland) on 2011-11-14
Changed in unity-2d:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers